//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/List/DatafilesSelector.h
//! @brief     Defines class DatafilesSelector.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_LIST_DATAFILESSELECTOR_H
#define BORNAGAIN_GUI_VIEW_LIST_DATAFILESSELECTOR_H

#include <QWidget>

class DatafileEditor;
class DatafilesSet;
class QToolBar;
class SetView;

//! For viewing and selecting loaded datafiles.
//!
//! Shown as left panel in DataView.
//!
//! Contains a listing of loaded datafiles (m_qlistview & m_qlistmodel)
//! and an editor for acting on the currently selected datafile (DatafileEditor).

class DatafilesSelector : public QWidget {
    Q_OBJECT
public:
    DatafilesSelector();

private:
    void setToolbarActions(QToolBar* toolbar);
    void updateActions();

    DatafilesSet* m_set;
    SetView* m_qlistview;
    DatafileEditor* m_editor;

    QAction* m_rm_action;
};

#endif // BORNAGAIN_GUI_VIEW_LIST_DATAFILESSELECTOR_H
